Skip to main content
GET
/
job-config
/
jobs
/
{resource}
Get a job
import requests

url = "https://{FUSION_HOST}/job-config/jobs/{resource}"

response = requests.get(url)

print(response.text)
HttpResponse<String> response = Unirest.get("https://{FUSION_HOST}/job-config/jobs/{resource}")
.asString();
const options = {method: 'GET'};

fetch('https://{FUSION_HOST}/job-config/jobs/{resource}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION_HOST}/job-config/jobs/{resource}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{FUSION_HOST}/job-config/jobs/{resource}"

req, _ := http.NewRequest("GET", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION_HOST}/job-config/jobs/{resource}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request GET \
--url https://{FUSION_HOST}/job-config/jobs/{resource}
{
  "resource": "task:refresh-autocomplete-blob2",
  "enabled": true,
  "status": "failed",
  "extra": {
    "podId": "dev-job-config-6fff5f4564-qz8kk"
  },
  "result": {
    "error": "Task refresh-autocomplete-blob2 can't download from https://doc.lucidworks.com/autocomplete/5.9/autocomplete_documentation.json"
  },
  "lastStartTime": "2025-12-18T19:49:15.483Z",
  "lastEndTime": "2025-12-18T19:49:16.070Z"
}

Path Parameters

resource
string
required

The job ID, prefixed with the job type, as in spark:my-spark-job.

Query Parameters

context
string

The app to which a job belongs, formatted as app:APP_NAME.

Response

200 - application/json

OK

resource
string
enabled
boolean
startedBy
string
status
string
extra
object
result
object
lastStartTime
string<date-time>
lastEndTime
string<date-time>
nextStartTime
string<date-time>